Display Campaigns
Operations related to Display Campaigns, the activation tool to display Ads to end users through Real Time Bidding (RTB) and Ad Server diffusion channels.
The organisation owning the campaign
Success !
Error response
Error response
Error response
Error response
Error response
Error response
GET /v1/display_campaigns/{campaign_id}/ad_groups HTTP/1.1
Host: api.mediarithmics.local
Accept: */*
{
"total": 1,
"first_result": 1,
"status": "ok",
"count": 1,
"data": [
{
"end_date": 0,
"viewability_use_third_party_data": false,
"total_impression_capping": 0,
"start_date": 0,
"viewability_min_score": 0,
"name": "text",
"per_day_impression_capping": 0,
"status": "ACTIVE",
"id": "text",
"targeted_browser_families": "ALL",
"ab_selection_min": 0,
"max_budget_period": "DAY",
"max_budget_per_period": 0,
"visibility": "ABOVE_THE_FOLD",
"ab_selection": false,
"ab_selection_max": 0,
"targeted_operating_systems": "ALL",
"targeted_medias": "WEB",
"total_budget": 0,
"targeted_connection_types": "ALL",
"technical_name": "text",
"max_bid_price": 0,
"campaign_id": "text",
"targeted_devices": "ALL",
"budget_relative_to_campaign": false
}
],
"max_results": 1
}The organisation owning the campaign
0false000000false000falseSuccess !
Error response
Error response
Error response
Error response
Error response
Error response
POST /v1/display_campaigns/{campaign_id}/ad_groups HTTP/1.1
Host: api.mediarithmics.local
Content-Type: application/json
Accept: */*
Content-Length: 601
{
"end_date": 0,
"viewability_use_third_party_data": false,
"total_impression_capping": 0,
"start_date": 0,
"viewability_min_score": 0,
"name": "text",
"per_day_impression_capping": 0,
"status": "ACTIVE",
"targeted_browser_families": "ALL",
"ab_selection_min": 0,
"max_budget_period": "DAY",
"max_budget_per_period": 0,
"visibility": "ABOVE_THE_FOLD",
"ab_selection": false,
"ab_selection_max": 0,
"targeted_operating_systems": "ALL",
"targeted_medias": "WEB",
"total_budget": 0,
"targeted_connection_types": "ALL",
"technical_name": "text",
"max_bid_price": 0,
"campaign_id": "text",
"targeted_devices": "ALL",
"budget_relative_to_campaign": false
}{
"status": "ok",
"data": {
"end_date": 0,
"viewability_use_third_party_data": false,
"total_impression_capping": 0,
"start_date": 0,
"viewability_min_score": 0,
"name": "text",
"per_day_impression_capping": 0,
"status": "ACTIVE",
"id": "text",
"targeted_browser_families": "ALL",
"ab_selection_min": 0,
"max_budget_period": "DAY",
"max_budget_per_period": 0,
"visibility": "ABOVE_THE_FOLD",
"ab_selection": false,
"ab_selection_max": 0,
"targeted_operating_systems": "ALL",
"targeted_medias": "WEB",
"total_budget": 0,
"targeted_connection_types": "ALL",
"technical_name": "text",
"max_bid_price": 0,
"campaign_id": "text",
"targeted_devices": "ALL",
"budget_relative_to_campaign": false
}
}Success !
Error response
Error response
Error response
Error response
Error response
Error response
GET /v1/display_campaigns/{campaign_id}/ad_groups/{ad_group_id}/locations HTTP/1.1
Host: api.mediarithmics.local
Accept: */*
{
"data": [
{
"postal_code": "text",
"geoname_id": "text",
"type": "POSTAL_CODE",
"country": "text",
"geozone_id": "text",
"exclude": false,
"admin1": "text",
"admin2": "text",
"city": "text",
"id": "text"
}
],
"status": "ok",
"max_results": 1,
"first_result": 1,
"total": 1,
"count": 1
}falseSuccess !
Error response
Error response
Error response
Error response
Error response
Error response
POST /v1/display_campaigns/{campaign_id}/ad_groups/{ad_group_id}/locations HTTP/1.1
Host: api.mediarithmics.local
Content-Type: application/json
Accept: */*
Content-Length: 174
{
"postal_code": "text",
"geoname_id": "text",
"type": "POSTAL_CODE",
"country": "text",
"geozone_id": "text",
"exclude": false,
"admin1": "text",
"admin2": "text",
"city": "text",
"id": "text"
}{
"status": "ok",
"data": {
"postal_code": "text",
"geoname_id": "text",
"type": "POSTAL_CODE",
"country": "text",
"geozone_id": "text",
"exclude": false,
"admin1": "text",
"admin2": "text",
"city": "text",
"id": "text"
}
}The campaign id
The ad group id
Success !
Error response
Error response
Error response
Error response
Error response
Error response
GET /v1/display_campaigns/{campaign_id}/ad_groups/{group_id}/ads HTTP/1.1
Host: api.mediarithmics.local
Accept: */*
{
"total": 1,
"count": 1,
"status": "ok",
"data": [
{
"id": "text",
"status": "text",
"creative_id": "text",
"technical_name": "text"
}
],
"first_result": 1,
"max_results": 1
}The campaign id
The ad group id
Success !
Error response
Error response
Error response
Error response
Error response
Error response
POST /v1/display_campaigns/{campaign_id}/ad_groups/{group_id}/ads HTTP/1.1
Host: api.mediarithmics.local
Content-Type: application/json
Accept: */*
Content-Length: 62
{
"status": "text",
"creative_id": "text",
"technical_name": "text"
}{
"status": "ok",
"data": {
"id": "text",
"status": "text",
"creative_id": "text",
"technical_name": "text"
}
}Get audience segment selection by id
Success !
Error response
Error response
Error response
Error response
Error response
Error response
GET /v1/display_campaigns/{campaign_id}/ad_groups/{ad_group_id}/audience_segments/{id} HTTP/1.1
Host: api.mediarithmics.local
Accept: */*
{
"status": "ok",
"data": {
"id": "text",
"audience_segment_id": "text",
"name": "text",
"technical_name": "text",
"exclude": false
}
}Update audience segment selection
falseSuccess !
Error response
Error response
Error response
Error response
Error response
Error response
PUT /v1/display_campaigns/{campaign_id}/ad_groups/{ad_group_id}/audience_segments/{id} HTTP/1.1
Host: api.mediarithmics.local
Content-Type: application/json
Accept: */*
Content-Length: 46
{
"audience_segment_id": "text",
"exclude": false
}{
"status": "ok",
"data": {
"id": "text",
"audience_segment_id": "text",
"name": "text",
"technical_name": "text",
"exclude": false
}
}Delete audience segment selection
Success response
Error response
Error response
Error response
Error response
Error response
Error response
DELETE /v1/display_campaigns/{campaign_id}/ad_groups/{ad_group_id}/audience_segments/{id} HTTP/1.1
Host: api.mediarithmics.local
Accept: */*
{
"status": "ok"
}The organisation owning the campaign
Campaign created within a scenario
Word contained in the ad_group name
Success !
Error response
Error response
Error response
Error response
Error response
Error response
GET /v1/display_campaigns.ad_groups?organisation_id=1 HTTP/1.1
Host: api.mediarithmics.local
Accept: */*
{
"first_result": 1,
"status": "ok",
"total": 1,
"data": [
{
"end_date": 0,
"viewability_use_third_party_data": false,
"total_impression_capping": 0,
"start_date": 0,
"viewability_min_score": 0,
"name": "text",
"per_day_impression_capping": 0,
"status": "ACTIVE",
"id": "text",
"targeted_browser_families": "ALL",
"ab_selection_min": 0,
"max_budget_period": "DAY",
"max_budget_per_period": 0,
"visibility": "ABOVE_THE_FOLD",
"ab_selection": false,
"ab_selection_max": 0,
"targeted_operating_systems": "ALL",
"targeted_medias": "WEB",
"total_budget": 0,
"targeted_connection_types": "ALL",
"technical_name": "text",
"max_bid_price": 0,
"campaign_id": "text",
"targeted_devices": "ALL",
"budget_relative_to_campaign": false
}
],
"max_results": 1,
"count": 1
}The campaign id
The ad group id
The ad id
Success !
Error response
Error response
Error response
Error response
Error response
Error response
GET /v1/display_campaigns/{campaign_id}/ad_groups/{group_id}/ads/{id} HTTP/1.1
Host: api.mediarithmics.local
Accept: */*
{
"status": "ok",
"data": {
"id": "text",
"status": "text",
"creative_id": "text",
"technical_name": "text"
}
}The campaign id
The ad group id
The ad id
Success !
Error response
Error response
Error response
Error response
Error response
Error response
PUT /v1/display_campaigns/{campaign_id}/ad_groups/{group_id}/ads/{id} HTTP/1.1
Host: api.mediarithmics.local
Content-Type: application/json
Accept: */*
Content-Length: 62
{
"status": "text",
"creative_id": "text",
"technical_name": "text"
}{
"status": "ok",
"data": {
"id": "text",
"status": "text",
"creative_id": "text",
"technical_name": "text"
}
}The campaign id
The ad group id
The ad id
Success response
Error response
Error response
Error response
Error response
Error response
Error response
DELETE /v1/display_campaigns/{campaign_id}/ad_groups/{group_id}/ads/{id} HTTP/1.1
Host: api.mediarithmics.local
Accept: */*
{
"status": "ok"
}The organisation adminstrating the organisation owning the campaign
The organisation owning the campaign
Campaign created within a scenario
Word contained in the campaign name
Retrieve archived campaigns
Campaign in the result are labeled by all labels identified by this list
Fields used to order the result
Offset from which the search must be performed
Number of maximum items that shall be return by this search
Success !
Error response
Error response
Error response
Error response
Error response
Error response
GET /v1/display_campaigns HTTP/1.1
Host: api.mediarithmics.local
Accept: */*
{
"status": "ok",
"max_results": 1,
"count": 1,
"total": 1,
"first_result": 1,
"data": [
{
"time_zone": "text",
"automated": false,
"max_budget_period": "DAY",
"organisation_id": "text",
"editor_version_value": "text",
"model_version": "V2014_06",
"total_budget": 0,
"status": "PENDING",
"max_bid_price": 0,
"id": "text",
"max_budget_per_period": 0,
"total_impression_capping": 0,
"per_day_impression_capping": 0,
"currency_code": "text",
"start_date": 0,
"subtype": "PROGRAMMATIC",
"name": "text",
"editor_version_id": "text",
"creation_ts": 0,
"editor_group_id": "text",
"technical_name": "text",
"archived": false,
"end_date": 0,
"editor_artifact_id": "text"
}
]
}false0000000false0Success !
Error response
Error response
Error response
Error response
Error response
Error response
POST /v1/display_campaigns HTTP/1.1
Host: api.mediarithmics.local
Content-Type: application/json
Accept: */*
Content-Length: 513
{
"time_zone": "text",
"automated": false,
"max_budget_period": "DAY",
"organisation_id": "text",
"editor_version_value": "text",
"model_version": "V2014_06",
"total_budget": 0,
"status": "PENDING",
"max_bid_price": 0,
"max_budget_per_period": 0,
"total_impression_capping": 0,
"per_day_impression_capping": 0,
"currency_code": "text",
"start_date": 0,
"subtype": "PROGRAMMATIC",
"name": "text",
"editor_version_id": "text",
"creation_ts": 0,
"editor_group_id": "text",
"technical_name": "text",
"archived": false,
"end_date": 0,
"editor_artifact_id": "text"
}{
"status": "ok",
"data": {
"type": "DISPLAY",
"time_zone": "text",
"automated": false,
"max_budget_period": "DAY",
"organisation_id": "text",
"editor_version_value": "text",
"model_version": "V2014_06",
"total_budget": 0,
"status": "PENDING",
"max_bid_price": 0,
"id": "text",
"max_budget_per_period": 0,
"total_impression_capping": 0,
"per_day_impression_capping": 0,
"currency_code": "text",
"start_date": 0,
"subtype": "PROGRAMMATIC",
"name": "text",
"editor_version_id": "text",
"creation_ts": 0,
"editor_group_id": "text",
"technical_name": "text",
"archived": false,
"end_date": 0,
"editor_artifact_id": "text"
}
}Search display network selections
Offset from which the search must be performed
Number of maximum items that shall be return by this search
Success !
Error response
Error response
Error response
Error response
Error response
Error response
GET /v1/display_campaigns/{campaign_id}/ad_groups/{ad_group_id}/display_networks HTTP/1.1
Host: api.mediarithmics.local
Accept: */*
{
"first_result": 1,
"max_results": 1,
"status": "ok",
"data": [
{
"id": "text",
"ad_group_id": "text",
"display_network_id": "text",
"exclude": false
}
],
"total": 1,
"count": 1
}Create display network selection
falseSuccess !
Error response
Error response
Error response
Error response
Error response
Error response
POST /v1/display_campaigns/{campaign_id}/ad_groups/{ad_group_id}/display_networks HTTP/1.1
Host: api.mediarithmics.local
Content-Type: application/json
Accept: */*
Content-Length: 66
{
"ad_group_id": "text",
"display_network_id": "text",
"exclude": false
}{
"status": "ok",
"data": {
"id": "text",
"ad_group_id": "text",
"display_network_id": "text",
"exclude": false
}
}Search audience segment selections
Success !
Error response
Error response
Error response
Error response
Error response
Error response
GET /v1/display_campaigns/{campaign_id}/ad_groups/{ad_group_id}/audience_segments HTTP/1.1
Host: api.mediarithmics.local
Accept: */*
{
"first_result": 1,
"max_results": 1,
"data": [
{
"id": "text",
"audience_segment_id": "text",
"name": "text",
"technical_name": "text",
"exclude": false
}
],
"count": 1,
"status": "ok",
"total": 1
}Create audience segment selection
falseSuccess !
Error response
Error response
Error response
Error response
Error response
Error response
POST /v1/display_campaigns/{campaign_id}/ad_groups/{ad_group_id}/audience_segments HTTP/1.1
Host: api.mediarithmics.local
Content-Type: application/json
Accept: */*
Content-Length: 46
{
"audience_segment_id": "text",
"exclude": false
}{
"status": "ok",
"data": {
"id": "text",
"audience_segment_id": "text",
"name": "text",
"technical_name": "text",
"exclude": false
}
}Get display network selection by id
Success !
Error response
Error response
Error response
Error response
Error response
Error response
GET /v1/display_campaigns/{campaign_id}/ad_groups/{ad_group_id}/display_networks/{id} HTTP/1.1
Host: api.mediarithmics.local
Accept: */*
{
"status": "ok",
"data": {
"id": "text",
"ad_group_id": "text",
"display_network_id": "text",
"exclude": false
}
}Update display network selection
falseSuccess !
Error response
Error response
Error response
Error response
Error response
Error response
PUT /v1/display_campaigns/{campaign_id}/ad_groups/{ad_group_id}/display_networks/{id} HTTP/1.1
Host: api.mediarithmics.local
Content-Type: application/json
Accept: */*
Content-Length: 66
{
"ad_group_id": "text",
"display_network_id": "text",
"exclude": false
}{
"status": "ok",
"data": {
"id": "text",
"ad_group_id": "text",
"display_network_id": "text",
"exclude": false
}
}Delete display network selection
Success response
Error response
Error response
Error response
Error response
Error response
Error response
DELETE /v1/display_campaigns/{campaign_id}/ad_groups/{ad_group_id}/display_networks/{id} HTTP/1.1
Host: api.mediarithmics.local
Accept: */*
{
"status": "ok"
}The campaign id
The ad group id
Success !
Error response
Error response
Error response
Error response
Error response
Error response
GET /v1/display_campaigns/{campaign_id}/ad_groups/{id} HTTP/1.1
Host: api.mediarithmics.local
Accept: */*
{
"status": "ok",
"data": {
"end_date": 0,
"viewability_use_third_party_data": false,
"total_impression_capping": 0,
"start_date": 0,
"viewability_min_score": 0,
"name": "text",
"per_day_impression_capping": 0,
"status": "ACTIVE",
"id": "text",
"targeted_browser_families": "ALL",
"ab_selection_min": 0,
"max_budget_period": "DAY",
"max_budget_per_period": 0,
"visibility": "ABOVE_THE_FOLD",
"ab_selection": false,
"ab_selection_max": 0,
"targeted_operating_systems": "ALL",
"targeted_medias": "WEB",
"total_budget": 0,
"targeted_connection_types": "ALL",
"technical_name": "text",
"max_bid_price": 0,
"campaign_id": "text",
"targeted_devices": "ALL",
"budget_relative_to_campaign": false
}
}The campaign id
The ad group id
0false000000false000falseSuccess !
Error response
Error response
Error response
Error response
Error response
Error response
PUT /v1/display_campaigns/{campaign_id}/ad_groups/{id} HTTP/1.1
Host: api.mediarithmics.local
Content-Type: application/json
Accept: */*
Content-Length: 601
{
"end_date": 0,
"viewability_use_third_party_data": false,
"total_impression_capping": 0,
"start_date": 0,
"viewability_min_score": 0,
"name": "text",
"per_day_impression_capping": 0,
"status": "ACTIVE",
"targeted_browser_families": "ALL",
"ab_selection_min": 0,
"max_budget_period": "DAY",
"max_budget_per_period": 0,
"visibility": "ABOVE_THE_FOLD",
"ab_selection": false,
"ab_selection_max": 0,
"targeted_operating_systems": "ALL",
"targeted_medias": "WEB",
"total_budget": 0,
"targeted_connection_types": "ALL",
"technical_name": "text",
"max_bid_price": 0,
"campaign_id": "text",
"targeted_devices": "ALL",
"budget_relative_to_campaign": false
}{
"status": "ok",
"data": {
"end_date": 0,
"viewability_use_third_party_data": false,
"total_impression_capping": 0,
"start_date": 0,
"viewability_min_score": 0,
"name": "text",
"per_day_impression_capping": 0,
"status": "ACTIVE",
"id": "text",
"targeted_browser_families": "ALL",
"ab_selection_min": 0,
"max_budget_period": "DAY",
"max_budget_per_period": 0,
"visibility": "ABOVE_THE_FOLD",
"ab_selection": false,
"ab_selection_max": 0,
"targeted_operating_systems": "ALL",
"targeted_medias": "WEB",
"total_budget": 0,
"targeted_connection_types": "ALL",
"technical_name": "text",
"max_bid_price": 0,
"campaign_id": "text",
"targeted_devices": "ALL",
"budget_relative_to_campaign": false
}
}The campaign id
The ad group id
Success response
Error response
Error response
Error response
Error response
Error response
Error response
DELETE /v1/display_campaigns/{campaign_id}/ad_groups/{id} HTTP/1.1
Host: api.mediarithmics.local
Accept: */*
{
"status": "ok"
}false0000000false0Success !
Error response
Error response
Error response
Error response
Error response
Error response
PUT /v1/display_campaigns/{id} HTTP/1.1
Host: api.mediarithmics.local
Content-Type: application/json
Accept: */*
Content-Length: 513
{
"time_zone": "text",
"automated": false,
"max_budget_period": "DAY",
"organisation_id": "text",
"editor_version_value": "text",
"model_version": "V2014_06",
"total_budget": 0,
"status": "PENDING",
"max_bid_price": 0,
"max_budget_per_period": 0,
"total_impression_capping": 0,
"per_day_impression_capping": 0,
"currency_code": "text",
"start_date": 0,
"subtype": "PROGRAMMATIC",
"name": "text",
"editor_version_id": "text",
"creation_ts": 0,
"editor_group_id": "text",
"technical_name": "text",
"archived": false,
"end_date": 0,
"editor_artifact_id": "text"
}{
"status": "ok",
"data": {
"type": "DISPLAY",
"time_zone": "text",
"automated": false,
"max_budget_period": "DAY",
"organisation_id": "text",
"editor_version_value": "text",
"model_version": "V2014_06",
"total_budget": 0,
"status": "PENDING",
"max_bid_price": 0,
"id": "text",
"max_budget_per_period": 0,
"total_impression_capping": 0,
"per_day_impression_capping": 0,
"currency_code": "text",
"start_date": 0,
"subtype": "PROGRAMMATIC",
"name": "text",
"editor_version_id": "text",
"creation_ts": 0,
"editor_group_id": "text",
"technical_name": "text",
"archived": false,
"end_date": 0,
"editor_artifact_id": "text"
}
}Success response
Error response
Error response
Error response
Error response
Error response
Error response
DELETE /v1/display_campaigns/{id} HTTP/1.1
Host: api.mediarithmics.local
Accept: */*
{
"status": "ok"
}Success !
Error response
Error response
Error response
Error response
Error response
Error response
GET /v1/display_campaigns/{campaign_id}/ad_groups/{ad_group_id}/locations/{id} HTTP/1.1
Host: api.mediarithmics.local
Accept: */*
{
"status": "ok",
"data": {
"postal_code": "text",
"geoname_id": "text",
"type": "POSTAL_CODE",
"country": "text",
"geozone_id": "text",
"exclude": false,
"admin1": "text",
"admin2": "text",
"city": "text",
"id": "text"
}
}falseSuccess !
Error response
Error response
Error response
Error response
Error response
Error response
PUT /v1/display_campaigns/{campaign_id}/ad_groups/{ad_group_id}/locations/{id} HTTP/1.1
Host: api.mediarithmics.local
Content-Type: application/json
Accept: */*
Content-Length: 174
{
"postal_code": "text",
"geoname_id": "text",
"type": "POSTAL_CODE",
"country": "text",
"geozone_id": "text",
"exclude": false,
"admin1": "text",
"admin2": "text",
"city": "text",
"id": "text"
}{
"status": "ok",
"data": {
"postal_code": "text",
"geoname_id": "text",
"type": "POSTAL_CODE",
"country": "text",
"geozone_id": "text",
"exclude": false,
"admin1": "text",
"admin2": "text",
"city": "text",
"id": "text"
}
}Removes a Geo Targeting
Success response
Error response
Error response
Error response
Error response
Error response
Error response
DELETE /v1/display_campaigns/{campaign_id}/ad_groups/{ad_group_id}/locations/{id} HTTP/1.1
Host: api.mediarithmics.local
Accept: */*
{
"status": "ok"
}Last updated
Was this helpful?